; scm.inc
DELETE                               = 0x00010000
SERVICE_KERNEL_DRIVER                = 0x00000001
SERVICE_FILE_SYSTEM_DRIVER           = 0x00000002
SERVICE_ADAPTER                      = 0x00000004
SERVICE_RECOGNIZER_DRIVER            = 0x00000008
SERVICE_DRIVER                       = SERVICE_KERNEL_DRIVER + SERVICE_FILE_SYSTEM_DRIVER + SERVICE_RECOGNIZER_DRIVER
SERVICE_WIN32_OWN_PROCESS            = 0x00000010
SERVICE_WIN32_SHARE_PROCESS          = 0x00000020
SERVICE_WIN32                        = SERVICE_WIN32_OWN_PROCESS + SERVICE_WIN32_SHARE_PROCESS
SERVICE_INTERACTIVE_PROCESS          = 0x00000100
SERVICE_TYPE_ALL                     = SERVICE_WIN32+SERVICE_ADAPTER + SERVICE_DRIVER  + SERVICE_INTERACTIVE_PROCESS
SERVICE_BOOT_START                   = 0x00000000
SERVICE_SYSTEM_START                 = 0x00000001
SERVICE_AUTO_START                   = 0x00000002
SERVICE_DEMAND_START                 = 0x00000003
SERVICE_DISABLED                     = 0x00000004
SERVICE_ERROR_IGNORE                 = 0x00000000
SERVICE_ERROR_NORMAL                 = 0x00000001
SERVICE_ERROR_SEVERE                 = 0x00000002
SERVICE_ERROR_CRITICAL               = 0x00000003

SERVICE_NO_CHANGE                    = 0xFFFFFFFF
SERVICE_ACTIVE                       = 0x00000001
SERVICE_INACTIVE                     = 0x00000002
SERVICE_STATE_ALL                    = SERVICE_ACTIVE + SERVICE_INACTIVE
SERVICE_CONTROL_STOP                 = 0x00000001
SERVICE_CONTROL_PAUSE                = 0x00000002
SERVICE_CONTROL_CONTINUE             = 0x00000003
SERVICE_CONTROL_INTERROGATE          = 0x00000004
SERVICE_CONTROL_SHUTDOWN             = 0x00000005
SERVICE_STOPPED                      = 0x00000001
SERVICE_START_PENDING                = 0x00000002
SERVICE_STOP_PENDING                 = 0x00000003
SERVICE_RUNNING                      = 0x00000004
SERVICE_CONTINUE_PENDING             = 0x00000005
SERVICE_PAUSE_PENDING                = 0x00000006
SERVICE_PAUSED                       = 0x00000007
SERVICE_ACCEPT_STOP                  = 0x00000001
SERVICE_ACCEPT_PAUSE_CONTINUE        = 0x00000002
SERVICE_ACCEPT_SHUTDOWN              = 0x00000004

SC_MANAGER_CONNECT                   = 0x00000001
SC_MANAGER_CREATE_SERVICE            = 0x00000002
SC_MANAGER_ENUMERATE_SERVICE         = 0x00000004
SC_MANAGER_LOCK                      = 0x00000008
SC_MANAGER_QUERY_LOCK_STATUS         = 0x00000010
SC_MANAGER_MODIFY_BOOT_CONFIG        = 0x00000020
SC_MANAGER_ALL_ACCESS                = STANDARD_RIGHTS_REQUIRED + SC_MANAGER_CONNECT + SC_MANAGER_CREATE_SERVICE + \
                                       SC_MANAGER_ENUMERATE_SERVICE + SC_MANAGER_LOCK + SC_MANAGER_QUERY_LOCK_STATUS + \
                                       SC_MANAGER_MODIFY_BOOT_CONFIG

SERVICE_QUERY_CONFIG                 = 0x00000001
SERVICE_CHANGE_CONFIG                = 0x00000002
SERVICE_QUERY_STATUS                 = 0x00000004
SERVICE_ENUMERATE_DEPENDENTS         = 0x00000008
SERVICE_START                        = 0x00000010
SERVICE_STOP                         = 0x00000020
SERVICE_PAUSE_CONTINUE               = 0x00000040
SERVICE_INTERROGATE                  = 0x00000080
SERVICE_USER_DEFINED_CONTROL         = 0x00000100
SERVICE_ALL_ACCESS                   = STANDARD_RIGHTS_REQUIRED + SERVICE_QUERY_CONFIG + SERVICE_CHANGE_CONFIG + \
                                       SERVICE_QUERY_STATUS + SERVICE_ENUMERATE_DEPENDENTS + SERVICE_START + SERVICE_STOP + \
                                       SERVICE_PAUSE_CONTINUE + SERVICE_INTERROGATE + SERVICE_USER_DEFINED_CONTROL