;BeginWork: 28.03.2018
;End__Work: 18.04.2018 
format PE64 GUI 5.0;
include 'd:\fasm\include\win64a.inc'
include 'D:\Asm\pro\Include\Inc\DrHeader_64\scm.inc'
entry start;
;_________STRUCTURE______________________________________________________________
    ;struct LV_COLUMN
        ;mask       dd ?
        ;fmt        dd ?
        ;cx         dd ?,?
        ;pszText    dq ?
        ;cchTextMax dd ?
        ;iSubItem   dd ?
    ;ends
    ;struct LV_ITEM
        ;mask       dd ?
        ;iItem      dd ?
        ;iSubItem   dd ?
        ;state      dd ?
        ;stateMask  dd ?,?
        ;pszText    dq ?
        ;cchTextMax dd ?
        ;iImage     dd ?
        ;lParam     dd ?
        ;iIndent    dd ?
    ;ends 
    ;struct NMHDR                                              
    ;    hwndFrom        dq ?                    
    ;    idFrom          dq ?
    ;    code            dd ?,?
    ; ends
    struct  NMCUSTOMDRAW    
        hdr             NMHDR 
        dwDrawStage     dd ?;      Draw Stage 
                        dd ?;
        hdc             dq ?                    
        rc              RECT 
        dwItemSpec      dq ?
        uItemState      dd ?
                        dd ?;
        lItemlParam     dq ?
     ends
    struct  NMLVCUSTOMDRAW  ; 
        nmcd            NMCUSTOMDRAW 
        clrText         dd ?
        clrTextBk       dd ?
        iSubItem        dd ?
        dwItemType      dd ?
        clrFace         dd ?
        iIconEffect     dd ?
        iIconPhase      dd ?
        iPartId         dd ?
        iStateId        dd ?
        rcText          RECT 
        uAlign          dd ?
     ends 
    struct KIDTENTRY64
        offset15_0      dw ?;
        Selector        dw ?;
    P_DPL_0_TYPE_5b_IST dw ?;
        offset31_16     dw ?;
        offset63_32     dd ?;
                        dd ?;
    ends   
;_________CONSTANT_______________________________________________________________
   
   DWL_MSGRESULT            =   0;  

   FILE_DEVICE_UNKNOWN      =   0x00000022
   FILE_ANY_ACCESS          =   0;
   METHOD_BUFFERED          =   0;
;_________MACRO__________________________________________________________________
    macro IOCTL_DEFINE_EX Name,_DeviceType,_Access,_Function,_Method
        {
         Name equ (_DeviceType shl 16) or (_Access shl 14) or (_Function shl 2) or (_Method)
        } 
;_________CODE___________________________________________________________________
 section '_code' code readable executable 
        IOCTL_DEFINE_EX IOCTL_IDTR,FILE_DEVICE_UNKNOWN,FILE_ANY_ACCESS,1,METHOD_BUFFERED
 start:
     sub rsp,8

     ;__Start Service with our Driver____ 
        ;get Descriptors SCM manadger
         invoke OpenSCManager,0,0,SC_MANAGER_CREATE_SERVICE
         test rax,rax;
         jz error1;
         mov [hSCM],rax;
        ;get full patch for create service 
         invoke GetFullPathName,str_DriverName,256,buff_10000byte,rsp
         test rax,rax 
         jz error1 
        ;create service 
         invoke CreateService,[hSCM],str_service,str_descriptionService,\
         SERVICE_START+DELETE,SERVICE_KERNEL_DRIVER,SERVICE_DEMAND_START,\
         SERVICE_ERROR_IGNORE,buff_10000byte,0,0,0,0,0;
         test rax,rax;
         jz error1;
         mov [hService],rax;
        ;start service 
         invoke StartService,rax,0,0;
         test rax,rax;
         jz error1; 
         jmp @f;       
       error1:
         invoke MyGetLastError,
         mov rdx,rax;
         invoke MessageBox,0,rdx,str_Error,0;
      @@:
     ;__Get IDT in buff_1000byte__
        ;get descriptor our driver     
         invoke CreateFile,str_DeviceName,GENERIC_READ+GENERIC_WRITE,\
         FILE_SHARE_READ,0,OPEN_EXISTING,0,0;
         cmp rax,-1;
         jz error2;
         mov [hFile],rax;
        ;Send control request in our driver 
         invoke DeviceIoControl,rax,IOCTL_IDTR,0,0,buff_10000byte,\
         size_buff10000byte,GetSizeIDT,0;
         test rax,rax;
         jz error2;

     ;__Create Dialog Box___ 
         invoke GetModuleHandle,0;
         invoke DialogBoxParamW,rax,ID_DIALOG,0,DialogProc,0;
         jmp exit;     

     error2:
         invoke MyGetLastError,
         mov rdx,rax;
         invoke MessageBox,0,rdx,str_Error,0;
         
     exit:
         invoke CloseHandle,[hFile];
         invoke DeleteService,[hService];
         invoke CloseServiceHandle,[hService];
         invoke CloseServiceHandle,[hSCM]
         invoke ExitProcess,0;
         invoke InitCommonControls
 ;________DialogProc_____________________________________________________________
     proc DialogProc hdlg,msg,wparam,lparam
                 xor rax,rax;
                 mov [hdlg],rcx;
                 mov [msg],rdx;
                 mov [wparam],r8;
                 mov [lparam],r9;
                 cmp [msg],WM_CLOSE;
                 je .close 
                 cmp rdx,WM_INITDIALOG
                 je .init 
                 cmp rdx,WM_SIZE;
                 je .size;
                 cmp rdx,WM_COMMAND;
                 je .command 
                 cmp rdx,WM_NOTIFY
                 je .notify
                 ret;
     .init:   
         ;initial ListView and StatusBar 
                 invoke GetDlgItem,[hdlg],ListView;
                 mov [hListView],rax;
                 invoke GetDlgItem,[hdlg],ID_STATUS;
                 mov [hStatus],rax;
         ;column ListView
                 call CreateColumn
         ;set Ex style for listview 
                  invoke  SendMessage,[hListView],LVM_SETEXTENDEDLISTVIEWSTYLE,\
                  NULL,LVS_EX_FULLROWSELECT+LVS_EX_GRIDLINES+LVS_EX_ONECLICKACTIVATE
         ;create string(item and subitem)
                 call CreateString 
                
         ret              
     .size:   
         ;get size ListView and StatusBar from size window 
                 mov r9,[lparam];
                 and r9,0FFFFh;                take low word from lparam, this is width
                 mov rax,[lparam];
                 shr rax,16;                   take hight word from lparam,this is height
                 sub rax,18;                   place for status bar 
                 invoke MoveWindow, [hListView],0,0,r9,rax,TRUE;
                 invoke MoveWindow, [hStatus],0,0,0,0,TRUE;
         ret;   
     .command:
         ;
                 mov rax,[wparam];
                 mov rdx,[wparam];
                 shr eax,16;
                 cmp ax,BN_CLICKED;
                 jne @f;
                 
              @@:
         ret
     .notify: 
         ; mov rax NMLVCUSTOMDRAW 
                 mov rax,[lparam];
                 virtual at rax;
                     .rax NMLVCUSTOMDRAW
                 end virtual
                 mov rdx,[hListView];
                 cmp rdx,[.rax.nmcd.hdr.hwndFrom]
                 jnz .EXITnotify;
                 mov edx,NM_CUSTOMDRAW;
                 cmp edx,[.rax.nmcd.hdr.code];
                 jnz .EXITnotify
                 mov edx,CDDS_PREPAINT;
                 cmp edx,[.rax.nmcd.dwDrawStage]; if =CDDS_PREPAINT, please draw himself-|
                 jnz @f;                                                                 |
                 invoke SetWindowLong,[hdlg],DWL_MSGRESULT,CDRF_NOTIFYITEMDRAW;<---------|
                 mov rax,CDRF_NOTIFYITEMDRAW;               
                 jmp .EXITnotify;
             @@:    
                 mov edx,CDDS_ITEMPREPAINT;
                 cmp edx,[.rax.nmcd.dwDrawStage];
                 jnz @f;
                 xor rdx,rdx
                 mov [.rax.clrText],edx;         color Text 
                 mov ecx,0FFFFFFh;
                 mov [.rax.clrTextBk],ecx;       color fone               
             @@:    
             .EXITnotify:
                 mov rax,1;
         ret;
     .error:  
         ;mygetlasterror 
                 invoke MyGetLastError;
                 invoke SendDlgItemMessage,[hdlg],ID_STATUS,WM_SETTEXT,0,rax
               
         ret;
     .close:  
               
                 invoke EndDialog,[hdlg],0;
                 xor rax,rax;
                 ret;
     ret;
     endp;
 ;________CreateColumn___________________________________________________________
     CreateColumn:
                 sub rsp,8;
                 mov [column.mask],LVCF_WIDTH+LVCF_SUBITEM+LVCF_FMT+LVCF_TEXT;
                 mov rax,str_column1
                 mov [column.pszText],rax;
                 mov [column.cx],60
                 mov [column.iSubItem],1;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,1,column;

                 mov rax,str_column2
                 mov [column.pszText],rax;
                 mov [column.cx],130
                 mov [column.iSubItem],2;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,2,column;

                 mov rax,str_column3
                 mov [column.pszText],rax;
                 mov [column.cx],80;
                 mov [column.iSubItem],3;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,3,column;

                 mov rax,str_column4
                 mov [column.pszText],rax;
                 mov [column.cx],50
                 mov [column.iSubItem],4;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,4,column;

                 mov rax,str_column5
                 mov [column.pszText],rax;
                 mov [column.cx],50
                 mov [column.iSubItem],5;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,5,column;

                 mov rax,str_column6
                 mov [column.pszText],rax;
                 mov [column.cx],40
                 mov [column.iSubItem],6;
                 invoke SendMessage,[hListView],LVM_INSERTCOLUMN,6,column;
                 add rsp,8;
     ret; 
 ;________CreateString___________________________________________________________
     CreateString:
                 push rbx rdi rsi
                 mov [item.mask],LVIF_TEXT;
                 mov rax,[GetSizeIDT];
                 shr rax,4;
                 mov [GetSizeIDT],rax
                 xor rbx,rbx;
                 xor rdi,rdi
                 mov rsi,buff_10000byte; move base address IDT in rsi 

             @@:
                 invoke wsprintf,buff_30byte,mask_hex,rbx;            --
                 mov rax,buff_30byte;                                   |
                 mov [item.pszText],rax;                                |-create item 
                 mov [item.iItem],ebx;                                  |
                 mov [item.iSubItem],edi;                               |
                 invoke SendMessage,[hListView],LVM_INSERTITEM,0,item; --
                 inc edi;

                 ;subitem ISR
                 fastcall GetOffset,rsi                 
                 invoke wsprintf,buff_30byte,mask_hex,rax;
                 mov rax,buff_30byte;
                 mov [item.pszText],rax;
                 mov [item.iItem],ebx;
                 mov [item.iSubItem],edi;
                 invoke SendMessage,[hListView],LVM_SETITEM,0,item;     subitem 1 ISR
                 inc edi;

                 ;subitem Type 
                 fastcall GetType,rsi                 
                 mov [item.pszText],rax;
                 mov [item.iItem],ebx;
                 mov [item.iSubItem],edi;
                 invoke SendMessage,[hListView],LVM_SETITEM,0,item;     subitem 2 Type
                 inc edi
                 
                 ;subitem DPL 
                 fastcall GetDPL,rsi;
                 invoke wsprintf,buff_30byte,mask_hex,rax;
                 mov rax,buff_30byte;
                 mov [item.pszText],rax;
                 mov [item.iItem],ebx;
                 mov [item.iSubItem],edi;
                 invoke SendMessage,[hListView],LVM_SETITEM,0,item;     subitem 3 DPL
                 inc edi;

                 ;subitem IST 
                 fastcall GetIST,rsi 
                 invoke wsprintf,buff_30byte,mask_hex,rax;
                 mov rax,buff_30byte;
                 mov [item.pszText],rax;
                 mov [item.iItem],ebx;
                 mov [item.iSubItem],edi;
                 invoke SendMessage,[hListView],LVM_SETITEM,0,item;     subitem 4 IST
                 inc edi; 

                 ;subitem Present
                 fastcall GetPresent,rsi
                 invoke wsprintf,buff_30byte,mask_hex,rax;
                 mov rax,buff_30byte;
                 mov [item.pszText],rax;
                 mov [item.iItem],ebx;
                 mov [item.iSubItem],edi;
                 invoke SendMessage,[hListView],LVM_SETITEM,0,item;     subitem 5 Present

                 xor rdi,rdi;
                 add rsi,16;
                 inc rbx;
                 cmp rbx,[GetSizeIDT]; how many string 
                 jnz @b;

                 pop rsi rdi rbx
     ret;
 ;________GetOffset______________________________________________________________
     ;input:  address structure KIDTENTRY64;
     ;output: in rax entry point offset from descriptor IDT 
     proc GetOffset 
                 virtual at rcx;
                     .rcx KIDTENTRY64;
                 end virtual;
                 xor  rdx,rdx;   
                 xor  rax,rax;       
                 mov  edx,[.rcx.offset63_32]
                 or   rax,rdx;
                 xor  rdx,rdx;
                 shl  rax,16;
                 mov  dx,[.rcx.offset31_16];
                 or   rax,rdx;
                 xor  dx,dx;
                 shl  rax,16;
                 mov  dx,[.rcx.offset15_0];
                 or   rax,rdx
     ret;
     endp;
 ;________GetType________________________________________________________________
     ;input:  address structure KIDTENTRY64;
     ;output: in rax pointer type descriptor from  IDT
     proc GetType 
                 virtual at rcx;
                     .rcx KIDTENTRY64;
                 end virtual
                 xor rax,rax;
                 mov al,byte[.rcx.P_DPL_0_TYPE_5b_IST+1];
                 shl al,4;
                 shr al,4;
                 cmp al,0Eh;
                 jnz @f;
                 mov rax,str_typeInterrupt
                 jmp .exit;
             @@:    
                 cmp al,0Fh;
                 jnz @f;
                 mov rax,str_typeTrap;
                 jmp .exit;
             @@:
                 mov rax,str_Error;
            .exit:
     ret;
     endp; 
 ;________GetDPL_________________________________________________________________
     ;input:  address structure KIDTENTRY64;
     ;output: in rax DPL 
     proc GetDPL 
                 virtual at rcx;
                     .rcx KIDTENTRY64;
                 end virtual
                 xor rax,rax;
                 mov al,byte[.rcx.P_DPL_0_TYPE_5b_IST+1];
                 shl al,1;
                 shr al,6;
     ret;
     endp;
 ;________GetIST_________________________________________________________________
     ;input:  address structure KIDTENTRY64;
     ;output: in rax IST 
     proc GetIST 
                 virtual at rcx;
                     .rcx KIDTENTRY64;
                 end virtual
                 xor rax,rax;
                 mov al,byte[.rcx.P_DPL_0_TYPE_5b_IST];
                 shl al,5;
                 shr al,5;
     ret;
     endp;
 ;________GetPresent_____________________________________________________________
     ;input:  address structure KIDTENTRY64;
     ;output: in rax bit Present 
     proc GetPresent  
                 virtual at rcx;
                     .rcx KIDTENTRY64;
                 end virtual
                 xor rax,rax;
                 mov ax,[.rcx.P_DPL_0_TYPE_5b_IST];
                 shr ax,15;
     ret;
     endp;
;_________DATA___________________________________________________________________
 section '_data' data readable writeable; 
 ;ListView Structure
         column LV_COLUMN;      
         item   LV_ITEM; 
     	 
 ;Descriptors 
         hListView                      dq ?;
         hStatus                        dq ?;
         hService                       dq ?;
         hSCM                           dq ?;
         hFile                          dq ?;
  
 ;string 
         str_service                    db 'GetIDT',00;
         str_descriptionService         db 'Service get Interrupt Description Table',00
         str_DeviceName                 db '\\.\IDTDump',0;
         str_Error                      db 'Programs Error',0;
         str_DriverName                 db 'IDT_DUMP_64.sys',0;

         str_typeInterrupt              db 'Interrupt',0;
         str_typeTrap                   db 'Trap',0;
     ;string ListView
         str_column1                    db 'Vector',0;
         str_column2                    db 'Procedure entry point',0;
         str_column3                    db 'Type',0;
         str_column4                    db 'DPL',0;
         str_column5                    db 'IST',0;
         str_column6                    db 'P',0

 ;mask 
         mask_hex                       db '%IX',0;
      
 ;value
         GetSizeIDT                     dq  ?;
         ColorText                      dd  0;
         ColorFon                       dd  0FFFFh;
 ;buff 
         buff_30byte                    rb 30;   
         buff_10000byte                 rb 10000;
         size_buff10000byte             = $-buff_10000byte;   
;_________RESOURCE_______________________________________________________________
 section '_res' resource data readable writeable;
 ID_DIALOG      = 1000
 ID_STATUS      = 999;
 

 ListView       = 1201

  directory RT_DIALOG,my_dialogs;
  resource  my_dialogs,ID_DIALOG,LANG_ENGLISH,my_dialog

  dialog            my_dialog,'Interrupt Descriptor Table(IDT)',100,100,284,200,WS_VISIBLE+WS_OVERLAPPEDWINDOW
        
        dialogitem  'msctls_statusbar32','',ID_STATUS,0,0,0,0,WS_VISIBLE+WS_CHILD
        dialogitem  'SysListView32','',ListView,0,0,0,0,WS_VISIBLE+WS_HSCROLL+WS_VSCROLL+LVS_REPORT
  enddialog
;_________IMPORT_________________________________________________________________
 section '_import' import data readable writeable;
 library	kernel32,'kernel32.dll',user32,'user32.dll',comctl32,'comctl32.dll',\
		comdlg32,'COMDLG32.DLL',MyGetLastError,'MyGetLastError64 out_rax.dll',\;
		gdi32,'gdi32.dll',advapi32,'advapi32.dll'

 include 'd:\fasm\include\api\kernel32.inc';
 include 'd:\fasm\include\api\user32.inc';
 include 'd:\fasm\include\api\comctl32.inc'
 include 'd:\fasm\include\api\comdlg32.inc'
 include 'd:\fasm\include\api\gdi32.inc';
 include 'd:\fasm\include\api\advapi32.inc'
 import MyGetLastError,MyGetLastError,'MyGetLastError'

    